@charset "utf-8";

/* reset
----------------------------------------------- */

h1,h2,h3,h4,h5,p,ul,ol,li,dl,dt,dd,figure {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 1em;
	line-height: 1em;
	list-style: none;
}
a,
a:hover,
a:active,
a:visited {
	margin: 0;
	padding: 0;
	text-decoration: none;
	overflow: hidden;
	outline: none;
}
img {
	vertical-align: top;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	-webkit-user-drag: none;
	-moz-user-drag: none;
	-ms-user-drag: none;
	user-drag: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
hr {
	display: none;
}

/* clear */

.clear:after {
	content: "."; 
	display: block;
	height: 0; 
	clear: both; 
	visibility: hidden;
}

/* html
----------------------------------------------- */

html {
	margin: 0;
	padding: 0;
	height: 100%;
	overflow: hidden;
	-webkit-print-color-adjust: exact;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	-webkit-user-drag: none;
	-moz-user-drag: none;
	-ms-user-drag: none;
	user-drag: none;
}

/* body
----------------------------------------------- */

body {
	margin: 0;
	padding: 0;
	height: 100%;
/* 	min-height: 460px; */
	color: #505050;
	font-family: Meiryo, "Hiragino Kaku Gothic Pro", "MS PGothic", sans-serif;
	letter-spacing: 0.1em;
	background: white;
}

/* loading
----------------------------------------------- */

#loading {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: white;
	z-index: 10;
}
#loading .logo {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -16px 0 0 -70px;
	z-index: 2;
}
#loading .bar {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: 40px 0 0 -40px;
	width: 80px;
	height: 2px;
	background: rgb(230,230,230);
	z-index: 2;
}
#loading .progress {
	width: 0;
	height: 2px;
	background: #25b7aa;
}
#loading .base {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -83px 0 0 -83px;
	width: 166px;
	height: 166px;
	background: white;
	z-index: 1;
	-webkit-border-radius: 170px;
	-moz-border-radius: 170px;
	-ms-border-radius: 170px;
	border-radius: 170px;
}
#loading .colors {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -85px 0 0 -85px;
	width: 170px;
	height: 170px;
	background: rgb(245,245,245);
	overflow: hidden;
	z-index: 1;	
	-webkit-mask-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAA5JREFUeNpiYGBgAAgwAAAEAAGbA+oJAAAAAElFTkSuQmCC);
	-moz-mask-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAA5JREFUeNpiYGBgAAgwAAAEAAGbA+oJAAAAAElFTkSuQmCC);
	-ms-mask-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAA5JREFUeNpiYGBgAAgwAAAEAAGbA+oJAAAAAElFTkSuQmCC);
	mask-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAA5JREFUeNpiYGBgAAgwAAAEAAGbA+oJAAAAAElFTkSuQmCC);	
	-webkit-border-radius: 170px;
	-moz-border-radius: 170px;
	-ms-border-radius: 170px;
	border-radius: 170px;
	-webkit-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}
#loading .colors ul {
	position: absolute;
	top: 0;
	left: 0;
	margin: 0 0 0 -240px;
	width: 480px;
	height: 170px;
	-webkit-animation: slide 4s linear infinite;
	-moz-animation: slide 4s linear infinite;
	-ms-animation: slide 4s linear infinite;
	animation: slide 4s linear infinite;
}
#loading .colors li {
	float: left;
	width: 20px;
	height: 170px;
}
#loading .colors .c0 {
	background: #ff6476;
}
#loading .colors .c1 {
	background: #fe6ea1;
}
#loading .colors .c2 {
	background: #ffb18a;
}
#loading .colors .c3 {
	background: #ff8989;
}
#loading .colors .c4 {
	background: #fed579;
}
#loading .colors .c5 {
	background: #99d14a;
}
#loading .colors .c6 {
	background: #9aeed7;
}
#loading .colors .c7 {
	background: #61d8ff;
}
#loading .colors .c8 {
	background: #3286de;
}
#loading .colors .c9 {
	background: #9f63dd;
}
#loading .colors .c10 {
	background: #838383;
}
#loading .colors .c11 {
	background: #8e6d64;
}

/* stamps
----------------------------------------------- */

.stamp.c26 {
	background-image: url(../images/stamp_c26.png);
}
.stamp.c87 {
	background-image: url(../images/stamp_c87.png);
}
.stamp.c88 {
	background-image: url(../images/stamp_c88.png);
}
.stamp.c27 {
	background-image: url(../images/stamp_c27.png);
}
.stamp.c02 {
	background-image: url(../images/stamp_c02.png);
}
.stamp.c08 {
	background-image: url(../images/stamp_c08.png);
}
.stamp.c09 {
	background-image: url(../images/stamp_c09.png);
}
.stamp.c14 {
	background-image: url(../images/stamp_c14.png);
}
.stamp.c16 {
	background-image: url(../images/stamp_c16.png);
}
.stamp.c20 {
	background-image: url(../images/stamp_c20.png);
}
.stamp.c34 {
	background-image: url(../images/stamp_c34.png);
}
.stamp.c30 {
	background-image: url(../images/stamp_c30.png);
}

/* transition
----------------------------------------------- */

#transition {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgb(245,245,245) url(../images/intro_logo.png) no-repeat center center;
	overflow: hidden;
	z-index: 3;
	-webkit-background-size: 100px auto;
	-moz-background-size: 100px auto;
	-ms-background-size: 100px auto;
	background-size: 100px auto;
}

/* canvas
----------------------------------------------- */

#canvas {
	display: none;
}

/* loadingbar
----------------------------------------------- */

.loadingbar {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(255,255,255,0);
	z-index: 2;
}
.loadingbar.on {
	display: block;
}
.loadingbar .base {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -1px 0 0 -60px;
	width: 120px;
	height: 2px;
	background: rgb(230,230,230);
	z-index: 1;
}
.loadingbar .progress {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -1px 0 0 -60px;
	width: 0;
	height: 2px;
	background: #25b7aa;
	z-index: 1;
}

/* header
----------------------------------------------- */

#header {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 50px;
	background: white;
	z-index: 5;
	-webkit-box-shadow: 0 0 6px rgba(0,0,0,0.25);
	-moz-box-shadow: 0 0 6px rgba(0,0,0,0.25);
	-ms-box-shadow: 0 0 6px rgba(0,0,0,0.25);
	box-shadow: 0 0 6px rgba(0,0,0,0.25);
}
#header h1 {
	position: absolute;
	top: 16px;
	left: 20px;
}
#header .menu {
	position: absolute;
	top: 0;
	right: 0;
	width: 50px;
	height: 50px;
	cursor: pointer;
}
#header .menu:after {
	display: block;
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -2px 0 0 -12px;
	width: 24px;
	height: 4px;
	background: #25b7aa;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	-ms-border-radius: 4px;
	border-radius: 4px;
	-webkit-transition: all 0.15s ease;
	-moz-transition: all 0.15s ease;
	-ms-transition: all 0.15s ease;
	transition: all 0.15s ease;
}
#header .menu span {
	display: block;
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -12px 0 0 -12px;
	width: 24px;
	height: 24px;
}
#header .menu span:before,
#header .menu span:after {
	display: block;
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -2px 0 0 -12px;
	width: 24px;
	height: 4px;
	background: #25b7aa;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	-ms-border-radius: 4px;
	border-radius: 4px;
	-webkit-transition: all 0.15s ease;
	-moz-transition: all 0.15s ease;
	-ms-transition: all 0.15s ease;
	transition: all 0.15s ease;
}
#header .menu span:before {
	margin-top: -11px;
}
#header .menu span:after {
	margin-top: 7px;
}

/* open */

#header .menu.open:after {
	margin: -2px 0 0 0;
	width: 0px;
}
#header .menu.open span:before {
	-webkit-transform: rotate(45deg) translate(6px,7px);
	-moz-transform: rotate(45deg) translate(6px,7px);
	-ms-transform: rotate(45deg) translate(6px,7px);
	transform: rotate(45deg) translate(6px,7px);
}
#header .menu.open span:after {
	-webkit-transform: rotate(-45deg) translate(6px,-7px);
	-moz-transform: rotate(-45deg) translate(6px,-7px);
	-ms-transform: rotate(-45deg) translate(6px,-7px);
	transform: rotate(-45deg) translate(6px,-7px);
}

/* footer
----------------------------------------------- */

#footer {
}

/* nav
----------------------------------------------- */

#nav {
	display: none;
	position: fixed;
	top: 50px;
	left: 0;
	width: 100%;
	background: white;
	z-index: 5;
}
#nav.open {
	display: block;
}
#nav ul {
	border-bottom: 1px solid #25b7aa;
}
#nav li {
	border-top: 1px solid #25b7aa;
}
#nav li a {
	display: block;
	position: relative;
	height: 50px;
}
#nav li img {
	position: absolute;
	top: 50%;
	left: 25px;
	margin: -8px 0 0;
}

/* step
----------------------------------------------- */

#step {
	display: none;
	position: fixed;
	top: 50px;
	left: 0;
	width: 100%;
	background: #ff8989;
	z-index: 2;
}
#step.on {
	display: block;
}
#step ul {
	margin: auto;
	width: 320px;
	height: 30px;
}
#step li {
	float: left;
	width: 33.33%;
	height: 30px;
	text-indent: 100%;
	white-space: nowrap;
	background: url(../images/step.png) no-repeat;
	overflow: hidden;
	-webkit-background-size: 320px 60px;
	-moz-background-size: 320px 60px;
	-ms-background-size: 320px 60px;
	background-size: 320px 60px;
}
#step .step1 {
	background-position: 0 0;
}
#step .step2 {
	background-position: -106px 0;
}
#step .step3 {
	background-position: -213px 0;
}
#step .step1.current {
	background-position: 0 -30px;
}
#step .step2.current {
	background-position: -106px -30px;
}
#step .step3.current {
	background-position: -213px -30px;
}

/* buttons
----------------------------------------------- */

#buttons {
	display: none;
	position: fixed;
	left: 0;
	bottom: 15px;
	width: 100%;
	text-align: center;
	z-index: 2;
}
#buttons.on {
	display: block;
}
#buttons ul {
	margin: auto;
	width: 310px;
	font-size: 0;
	text-align: center;
}
#buttons li {
	display: inline-block;
	margin: 10px 5px 0;
}

/* attention
----------------------------------------------- */

#attention {
	display: none;
	position: fixed;
	top: 50px;
	left: 0;
	width: 100%;
	color: white;
	background: rgba(255,137,137,0.85);
	z-index: 2;
}
#attention.on {
	display: block;
}
#attention p {
	padding: 10px 0;
	font-size: 0.75em;
	text-align: center;
	line-height: 1.5em;
}
#attention .close {
	position: absolute;
	top: 50%;
	right: 0;
	margin: -18px 0 0;
	width: 37px;
	height: 37px;
	background: url(../images/icon_close.png) no-repeat center center;
	-webkit-background-size: 17px 17px;
	-moz-background-size: 17px 17px;
	-ms-background-size: 17px 17px;
	background-size: 17px 17px;
}

/* main
----------------------------------------------- */

#main {
	position: relative;
	height: 100%;
	min-height: 460px;
	background: white;
	overflow: auto;
	-webkit-overflow-scrolling: touch;
}
#main section {
	position: relative;
	width: 100%;
	min-height: 100%;
	overflow: hidden;
}
#main section p {
	font-size: 0.8em;
	text-align: center;
	line-height: 1.5em;
}
#main section .label {
	padding: 15px 0 0;
}
#main section .input {
	padding: 10px 0 0;
}
#main section .input input,
#main section .input textarea {
	margin: 0;
	padding: 0 10px;
	font-size: 0.85em;
	text-align: center;
	border: 1px solid #dcdcdc;
	outline: none;
	-webkit-appearance: none;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	border-radius: 6px;
}
#main section .input input:focus,
#main section .input textarea:focus {
	border-color: #ffc4c4;
}
#main section .input input {
	width: 180px;
	height: 25px;
}
#main section .input textarea {
	padding: 10px;
	width: 280px;
	height: 140px;
	font-size: 18px;
	line-height: 28px;
}
#main section .error {
	display: block;
	color: 
}

/* intro
----------------------------------------------- */

#intro {
	display: none;
}
#intro.on {
	display: block;
}
#intro h2 {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -90px 0 0 -200px;
	width: 400px;
}
#intro .start {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: 110px 0 0 -100px;
	width: 200px;
}
#intro .base span {
	display: block;
	position: absolute;
	left: 50%;
	margin: 0 0 0 -480px;
	width: 960px;
}
#intro .base span:nth-child(1) {
	top: 55px;
}
#intro .base span:nth-child(2) {
	bottom: 5px;
}

/* step1
----------------------------------------------- */

#step1 {
	display: none;
}
#step1.on {
	display: block;
}
#step1 .inner {
	position: absolute;
	top: 50%;
	left: 0;
	margin: -150px 0 0;
	padding: 0;
	width: 100%;
}
#step1 ul {
	margin: auto;
	padding: 5px 0 0;
	width: 200px;
}
#step1 li {
	padding: 6px 0;
	font-size: 0.9em;
}
#step1 li label {
	display: inline-block;
	position: relative;
	padding: 0 0 0 30px;
}
#step1 li label:before,
#step1 li label:after {
	display: block;
	content: "";
	position: absolute;
	top: 50%;
	left: 0;
	margin: -8px 0 0;
	width: 11px;
	height: 11px;
	border: 2px solid #ffc4c4;
	-webkit-border-radius: 11px;
	-moz-border-radius: 11px;
	-ms-border-radius: 11px;
	border-radius: 11px;
}
#step1 li input {
	display: none;
}
#step1 li input:checked + label:before {
	margin: -5px 0 0 3px;
	width: 9px;
	height: 9px;
	border: 0;
	background: #ffc4c4;
}

/* step2
----------------------------------------------- */

#step2 {
	display: none;
}
#step2.on {
	display: block;
}
#step2 .inner {
	margin: 80px 0 0;
}
#step2 .frames {
	position: relative;
	padding: 0 0 130px;
}
#step2 .frames.loaded {
	padding: 0 0 70px;
}
#step2 .frames.load:after {
	display: block;
	content: "";
	position: absolute;
	left: 50%;
	bottom: 75px;
	margin: 0 0 0 -4px;
	width: 8px;
	height: 40px;
	background: url(../images/icon_load.gif) no-repeat;
	-webkit-background-size: 8px 40px;
	-moz-background-size: 8px 40px;
	-ms-background-size: 8px 40px;
	background-size: 8px 40px;
}
#step2 .frames ul {
	margin: 0 10px;
}
#step2 .frames li {
	float: left;
	margin: 10px 0 0;
	width: 50%;
}
#step2 .frames li input {
	display: none;
}
#step2 .frames li label {
	display: block;
	position: relative;
	margin: 0 5px;
	padding: 3px;
	border: 1px solid #dcdcdc;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	border-radius: 6px;
}
#step2 .frames li figure {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
}
#step2 .frames li img {
	width: 100%;
	height: auto;
}
#step2 .frames li input:checked + label:before {
	display: block;
	content: "";
	position: absolute;
	top: -3px;
	left: -3px;
	width: 100%;
	height: 100%;
	border: 3px solid #ffc4c4;
	-webkit-border-radius: 9px;
	-moz-border-radius: 9px;
	-ms-border-radius: 9px;
	border-radius: 9px;
	-webkit-opacity: 1;
}
#step2 .frames li input:checked + label:after {
	display: block;
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -15px 0 0 -15px;
	width: 30px;
	height: 30px;
	background: url(../images/icon_check.png) no-repeat;
	-webkit-background-size: 30px 30px;
	-moz-background-size: 30px 30px;
	-ms-background-size: 30px 30px;
	background-size: 30px 30px;
}

/* step3
----------------------------------------------- */

#step3 {
	display: none;
}
#step3.on {
	display: block;
}
#step3 .inner {
	position: absolute;
	top: 50%;
	left: 0;
	margin: -115px 0 0;
	padding: 0;
	width: 100%;
}
#step3 .input {
	position: relative;
}
#step3 textarea {
	position: relative;
	background: transparent;
	z-index: 1;
}
#step3 .guide {
	position: absolute;
	top: 50%;
	left: 0;
	margin: -1em 0 0;
	width: 100%;
	color: #b4b4b4;
	text-align: center;
}
#step3 .guide.off {
	display: none;
}

/* preview
----------------------------------------------- */

#preview {
	display: none;
}
#preview.on {
	display: block;
}
#preview .card {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -170px 0 0 -95px;
	width: 190px;
	height: 283px;
	color: #505050;
	border: 1px solid #e2e2e2;
	overflow: hidden;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	border-radius: 6px;
}
#preview .card .message,
#preview .card .frame,
#preview .card .base {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
}
#preview .card .message img,
#preview .card .frame img,
#preview .card .base img {
	width: 100%;
	height: auto;
}
#preview .card .name {
	position: absolute;
	top: 50px;
	left: 0;
	width: 100%;
	font-size: 11px;
	text-align: center;
	letter-spacing: 0;
	white-space: normal;
	z-index: 1;
}
#preview .card .comment {
	position: absolute;
	top: 150px;
	left: 0;
	width: 100%;
	font-size: 9px;
	text-align: center;
	letter-spacing: 0;
	white-space: normal;
	line-height: 13px;
	z-index: 1;
}
#preview .loadingbar .base {
	margin: -25px 0 0 -60px;
}

/* editor
----------------------------------------------- */

#editor {
	display: none;
}
#editor.on {
	display: block;
}
#editor .card {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -166px 0 0 -130px;
	width: 220px;
	height: 328px;
	border: 1px solid #e2e2e2;
	overflow: hidden;
	z-index: 1;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	border-radius: 6px;
}
#editor .card .message,
#editor .card .frame,
#editor .card .base {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
}
#editor .card .message img,
#editor .card .frame img,
#editor .card .base img {
	width: 100%;
	height: auto;
}
#editor .card .name,
#editor .card .comment {
	position: absolute;
	left: 0;
	width: 100%;
	text-align: center;
	letter-spacing: 0;
	white-space: normal;
	z-index: 1;
}
#editor .control {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -37px 0 0 112px;
	width: 30px;
	height: 75px;
	z-index: 1;
}
#editor .control li {
	position: absolute;
	left: 0;
	width: 30px;
	height: 30px;
	background: url(../images/icon_control.png) no-repeat;
	-webkit-background-size: 60px 60px;
	-moz-background-size: 60px 60px;
	-ms-background-size: 60px 60px;
	background-size: 60px 60px;
}
#editor .control .pen {
	top: 0;
	background-position: 0 0;
}
#editor .control .eraser {
	bottom: 0;
	background-position: -30px 0;
}
#editor .control .pen.on {
	background-position: 0 -30px;
}
#editor .control .eraser.on {
	background-position: -30px -30px;
}

/* save
----------------------------------------------- */

#save {
	display: none;
}
#save.on {
	display: block;
}
#save .image {
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -166px 0 0 -110px;
	width: 220px;
	height: 328px;
	border: 1px solid #e2e2e2;
	overflow: hidden;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-ms-border-radius: 6px;
	border-radius: 6px;
}
#save .image img {
	width: 100%;
	height: auto;
}

/* keyframes
----------------------------------------------- */

/* slide */

@-webkit-keyframes slide {
	0% { -webkit-transform: translateX(0px); }
	100% { -webkit-transform: translateX(240px); }
}
@-moz-keyframes slide {
	0% { -moz-transform: translateX(0px); }
	100% { -moz-transform: translateX(240px); }
}
@-ms-keyframes slide {
	0% { -ms-transform: translateX(0px); }
	100% { -ms-transform: translateX(240px); }
}
@keyframes slide {
	0% { transform: translateX(0px); }
	100% { transform: translateX(240px); }
}
